Page MenuHomePhabricator

Fix padding for .mw-revslider-toggle-button .oo-ui-buttonElement-button
Closed, ResolvedPublic

Description

Reported by @thiemowmde:

  1. Both boil down to a .mw-revslider-toggle-button

.oo-ui-buttonElement-button { padding-bottom: 0.06em; } in the CSS. I
can't see why this is there (there should be a reason why this was
added, right?). It causes two issues:

1.1. The page jumps down 1 or 2 pixels while the page loads. This is
caused by this padding, as far as I can tell.

1.2. The pin button is not vertically centered. More space at the
bottom. This is exactly this padding.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 16 2016, 11:08 AM
Addshore moved this task from Incoming to Revision Slider on the TCB-Team board.Nov 17 2016, 9:29 AM
Addshore claimed this task.Nov 17 2016, 3:32 PM
Addshore moved this task from Todo to Sprint ready on the WMDE-QWERTY-Team board.
Addshore added a project: User-Addshore.

Change 322114 had a related patch set uploaded (by Addshore):
Fix padding for toggle button element

https://gerrit.wikimedia.org/r/322114

Addshore moved this task from Unsorted 💣 to Active 🚁 on the User-Addshore board.
Addshore moved this task from Currently in sprint to Done on the WMDE-QWERTY-Team board.

Change 322114 merged by jenkins-bot:
Fix padding for toggle button element

https://gerrit.wikimedia.org/r/322114

Addshore closed this task as Resolved.Nov 22 2016, 3:10 PM
Addshore moved this task from Done to Demoed on the WMDE-QWERTY-Team board.
Tobi_WMDE_SW moved this task from Incoming to Done on the Revision-Slider board.Dec 2 2016, 12:39 PM